<template>
  <div style="background-color:lightgrey; width:100%">
    <v-data-table
      :headers="headers"
      :items="getMyBooking"
      class="elevation-1 ma-5"
      height="75vh"
      style="background-color:rgba(180,180,180,0.5)"
    >
      <template v-slot:top>
        <v-toolbar flat style="background-color:grey">
          <v-toolbar-title style="font-weight:500">Competitions List</v-toolbar-title>
          <v-divider class="mx-4" inset vertical></v-divider>
          <v-spacer></v-spacer>
         
        </v-toolbar>
      </template>
    </v-data-table>
  </div>
</template>
<script>
import { mapActions, mapGetters } from "vuex";
export default {
  data: () => ({
    dialog: false,
    headers: [
      {
        text: "name",
        align: "start",
        sortable: false,
        value: "name",
      },
      { text: "Updated", value: "lastUpdated" },
      { text: "Seasons", value: "numberOfAvailableSeasons" },
      { text: "Plan", value: "plan" },
    
    ],
    deletedItem: {
      From: "",
      To: "",
      Time: "",
      Date: "",
      Price: "",
    },
    deletedIndex: -1,
    deleteDialog: false,
  }),
  computed: {
    ...mapGetters(["getMyBooking"]),
  },
  watch: {},
  created() {
    this.runMyBookingAction();
  },
  methods: {
    ...mapActions([
      "getBookingAction",
    ]),
  },
  
};
</script>
<style></style>
